Subject: Re: bug#45084: so-long mode vs. dired-view-file

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Jun 2021 12:32:18 +0200

Richard Stallman <[email-masked]> writes:

> dired-view-file does something quite unusual: it visits a file and puts
> it in View mode.
>
> I think so-long needs to make a special case for View mode.
> For instance, if View mode is in effect, it could (1) turn off View mode,
> (2) switch modes however it does, then (3) reenable View mode.

It does feel a bit messy to special-case `view-mode' here, but on the
other hand, not doing so will make the `v' command in Dired a less
handy.

So I've gone ahead with Richard's suggestion here in Emacs 28 --
`so-long' will now restore the view minor mode if it was switched on.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no